package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.LifeDBAccess;
import java.math.BigDecimal;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import net.sf.json.JSONArray;
import net.sf.json.JSONObject;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/RistWarningCalculatio.class */
public class RistWarningCalculatio extends LifeAction {
    private String insertSql = "INSERT INTO `fsp_loanrisk_warnin_task` (`LRW_CORNO`, `LRW_TYPE`, `LRW_BANKID`, `LRW_LEVEL`, `LRW_TARGET`, `LRW_WARNVAL`, `LRW_RWTIME`, `LRW_LASTTIME`, `LRW_LASTVALUE`, `LRW_THISTIME`, `LRW_THISVALUE`, `LRW_ISRISK`) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)";
    SimpleDateFormat sdf1 = new SimpleDateFormat("yyyyMMddHHmmss");
    SimpleDateFormat sdf2 = new SimpleDateFormat("yyyy-MM-dd");
    SimpleDateFormat sdf3 = new SimpleDateFormat("yyyyMM");
    Calendar cal = Calendar.getInstance();
    String datetimeStr = this.sdf1.format(this.cal.getTime());
    String datetimeDay = this.sdf2.format(this.cal.getTime());
    String dateStr = this.sdf3.format(this.cal.getTime());

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v311, types: [boolean] */
    /* JADX WARN: Type inference failed for: r0v312, types: [java.text.ParseException] */
    /* JADX WARN: Type inference failed for: r0v324, types: [com.ynet.life.sujrb.action.RistWarningCalculatio] */
    /* JADX WARN: Type inference failed for: r0v55, types: [java.sql.SQLException, java.sql.Connection] */
    public String execute(Context context) throws GENEException {
        String d2_op_enddate;
        ?? equals;
        String corNo = blackToStr(context.getDataValue("FCI_CORNO"));
        String financeId = blackToStr(context.getDataValue("financeId"));
        String d2_entstatus = blackToStr(context.getDataValue("d2_entstatus"));
        String d2_op = blackToStr(context.getDataValue("d2_op"));
        String d2_opscope = blackToStr(context.getDataValue("d2_opscope"));
        String b2list = blackToStr(context.getDataValue("b2list"));
        String c2list = blackToStr(context.getDataValue("c2list"));
        String d2_kjsbrs = blackToStr(context.getDataValue("d2_kjsbrs"));
        String blist = blackToStr(context.getDataValue("blist"));
        String clist = blackToStr(context.getDataValue("clist"));
        String nlist = blackToStr(context.getDataValue("nlist"));
        String olist = blackToStr(context.getDataValue("olist"));
        String time_last_year_caiwu = blackToStr(context.getDataValue("time_last_year_caiwu"));
        String time_current_year_caiwu = blackToStr(context.getDataValue("time_current_year_caiwu"));
        String time_zcfzb_current_month = blackToStr(context.getDataValue("time_zcfzb_current_month"));
        String time_current_year_caiwu_old = blackToStr(context.getDataValue("time_current_year_caiwu_old"));
        String time_zcfzb_current_month_old = blackToStr(context.getDataValue("time_zcfzb_current_month_old"));
        String pba_creditScore = (String) context.getDataValue("pba_creditScore");
        String pba_smloanfanbalance = (String) context.getDataValue("pba_smloanfanbalance");
        String pba_smprofanbalance = (String) context.getDataValue("pba_smprofanbalance");
        String pba_creditScore_old = (String) context.getDataValue("pba_creditScore_old");
        String pba_smloanfanbalance_old = (String) context.getDataValue("pba_smloanfanbalance_old");
        String pba_smprofanbalance_old = (String) context.getDataValue("pba_smprofanbalance_old");
        IndexedCollection riskList = context.getDataElement("riskList");
        ?? connection = LifeDBAccess.getConnection();
        try {
            PreparedStatement goalInsertPstm = connection.prepareStatement(this.insertSql);
            System.out.println("--------------eeeee-------------" + d2_entstatus + corNo);
            String d2_entstatus_old = blackToStr(context.getDataValue("d2_entstatus_old"));
            if (!d2_entstatus.equals(d2_entstatus_old) && d2_entstatus.indexOf("停业") >= 0) {
                insertRisk(goalInsertPstm, corNo, "MANSTATUS", financeId, "RED", null, null, this.dateStr, null, null, null, null, "1");
            }
            System.out.println("--------------fffff-------------" + d2_op + corNo);
            String d2_op_old = blackToStr(context.getDataValue("d2_op_old"));
            if (!d2_op.equals(d2_op_old) && d2_op.indexOf("至") >= 0 && (equals = "".equals((d2_op_enddate = d2_op.substring(d2_op.indexOf("至") + 1)))) == 0) {
                try {
                    Date sysDate = new Date();
                    String s = this.sdf2.format(sysDate);
                    Date startDate = this.sdf2.parse(s);
                    if (this.sdf2.parse(d2_op_enddate).before(startDate)) {
                        equals = this;
                        equals.insertRisk(goalInsertPstm, corNo, "BUSTERM", financeId, "RED", null, null, this.dateStr, null, null, null, null, "1");
                    }
                } catch (ParseException e) {
                    equals.printStackTrace();
                }
            }
            String d2_opscope_old = blackToStr(context.getDataValue("d2_opscope_old"));
            if (!d2_opscope.equals(d2_opscope_old) && !d2_opscope_old.equals("")) {
                insertRisk(goalInsertPstm, corNo, "MANRANGE", financeId, "YEL", null, null, this.dateStr, null, null, null, null, "1");
            }
            String b2list_old = blackToStr(context.getDataValue("b2list_old"));
            if (!b2list.equals(b2list_old) && !b2list_old.equals("")) {
                insertRisk(goalInsertPstm, corNo, "HOLDER", financeId, "YEL", null, null, this.dateStr, null, null, null, null, "1");
            }
            String c2list_old = blackToStr(context.getDataValue("c2list_old"));
            if (!c2list.equals(c2list_old) && !c2list_old.equals("")) {
                insertRisk(goalInsertPstm, corNo, "DJGINFO", financeId, "YEL", null, null, this.dateStr, null, null, null, null, "1");
            }
            String d2_kjsbrs_old = blackToStr(context.getDataValue("d2_kjsbrs_old"));
            if (d2_kjsbrs_old != null && !"".equals(d2_kjsbrs_old) && d2_kjsbrs != null && !"".equals(d2_kjsbrs) && !d2_kjsbrs_old.equals("") && !d2_kjsbrs.equals("") && Integer.parseInt(d2_kjsbrs_old) > Integer.parseInt(d2_kjsbrs)) {
                matchRisk(d2_kjsbrs_old, d2_kjsbrs, riskList, "COMCOUNT", goalInsertPstm, corNo, financeId, this.dateStr, null, null);
            }
            if ("".equals(pba_creditScore_old) || pba_creditScore_old == null || !pba_creditScore_old.equals(pba_creditScore)) {
                matchRiskNew(pba_creditScore_old, pba_creditScore, riskList, "CDSCOUNT", goalInsertPstm, corNo, financeId, this.datetimeDay);
            }
            if ("".equals(pba_smloanfanbalance_old) || pba_smloanfanbalance_old == null || !pba_smloanfanbalance_old.equals(pba_smloanfanbalance)) {
                matchRiskNew(pba_smloanfanbalance_old, pba_smloanfanbalance, riskList, "ASFCOUNT", goalInsertPstm, corNo, financeId, this.datetimeDay);
            }
            if ("".equals(pba_smprofanbalance_old) || pba_smprofanbalance_old == null || !pba_smprofanbalance_old.equals(pba_smprofanbalance)) {
                matchRiskNew(pba_smprofanbalance_old, pba_smprofanbalance, riskList, "AFGCOUNT", goalInsertPstm, corNo, financeId, this.datetimeDay);
            }
            String blist_old = blackToStr(context.getDataValue("blist_old"));
            if (!blist.equals(blist_old)) {
                JSONArray blistArr = JSONArray.fromObject(blist);
                String endVal = "";
                String beginVal = "";
                String endTime = "";
                String beginTime = "";
                int i = 0;
                while (true) {
                    if (i >= blistArr.size()) {
                        break;
                    }
                    JSONObject tempJ = blistArr.getJSONObject(i);
                    if (i == 0) {
                        beginVal = blackToStr(tempJ.get("b_sbrs"));
                        beginTime = blackToStr(tempJ.get("b_deposit_month"));
                        i++;
                    } else {
                        endVal = blackToStr(tempJ.get("b_sbrs"));
                        endTime = blackToStr(tempJ.get("b_deposit_month"));
                        break;
                    }
                }
                if (endVal != null && !"".equals(endVal) && beginVal != null && !"".equals(beginVal) && !beginVal.equals("") && !endVal.equals("") && Integer.parseInt(endVal) > Integer.parseInt(beginVal)) {
                    matchRisk(endVal, beginVal, riskList, "SOCCOUNT", goalInsertPstm, corNo, financeId, beginTime, endTime, beginTime);
                }
            }
            String lastYTime = String.valueOf(time_last_year_caiwu) + time_zcfzb_current_month;
            String currentTime = String.valueOf(time_current_year_caiwu) + time_zcfzb_current_month;
            String lastTime = String.valueOf(time_current_year_caiwu_old) + time_zcfzb_current_month_old;
            if (!currentTime.equals(lastTime)) {
                JSONArray clistArr = JSONArray.fromObject(clist);
                JSONObject zclist = new JSONObject();
                JSONObject syzlist = new JSONObject();
                JSONObject fzlist = new JSONObject();
                for (int i2 = 0; i2 < clistArr.size(); i2++) {
                    JSONObject tempJ2 = clistArr.getJSONObject(i2);
                    if ("资产总计".equals(tempJ2.get("c_cn_name"))) {
                        zclist = tempJ2;
                    } else if ("所有者权益合计".equals(tempJ2.get("c_cn_name"))) {
                        syzlist = tempJ2;
                    } else if ("负债合计".equals(tempJ2.get("c_cn_name"))) {
                        fzlist = tempJ2;
                    }
                }
                String c_cur_zqzj = blackToStr(zclist.get("c_current_qmye")).replace(",", "");
                String c_last_zqzj = blackToStr(zclist.get("c_last_time_qmye")).replace(",", "");
                if (!c_cur_zqzj.equals("") && !c_last_zqzj.equals("")) {
                    if (Double.parseDouble(c_last_zqzj) > Double.parseDouble(c_cur_zqzj)) {
                        matchRisk(c_last_zqzj, c_cur_zqzj, riskList, "ASSCOUNT", goalInsertPstm, corNo, financeId, currentTime, lastYTime, currentTime);
                    } else {
                        insertRisk(goalInsertPstm, corNo, "ASSCOUNT", financeId, null, null, null, null, lastYTime, c_last_zqzj, currentTime, c_cur_zqzj, "0");
                    }
                }
                String c_cur_syzqy = blackToStr(syzlist.get("c_current_qmye")).replace(",", "");
                String c_last_syzqy = blackToStr(syzlist.get("c_last_time_qmye")).replace(",", "");
                if (!c_cur_syzqy.equals("") && !c_last_syzqy.equals("")) {
                    if (Double.parseDouble(c_last_syzqy) > Double.parseDouble(c_cur_syzqy)) {
                        matchRisk(c_last_syzqy, c_cur_syzqy, riskList, "EQUCOUNT", goalInsertPstm, corNo, financeId, currentTime, lastYTime, currentTime);
                    } else {
                        insertRisk(goalInsertPstm, corNo, "EQUCOUNT", financeId, null, null, null, null, lastYTime, c_last_syzqy, currentTime, c_cur_syzqy, "0");
                    }
                }
                String c_cur_fzhj = blackToStr(fzlist.get("c_current_qmye")).replace(",", "");
                String c_last_fzhj = blackToStr(fzlist.get("c_last_time_qmye")).replace(",", "");
                if (!c_cur_fzhj.equals("") && !c_last_fzhj.equals("")) {
                    if (Double.parseDouble(c_cur_fzhj) > Double.parseDouble(c_last_fzhj)) {
                        matchRisk(c_last_fzhj, c_cur_fzhj, riskList, "DEBCOUNT", goalInsertPstm, corNo, financeId, currentTime, lastYTime, currentTime);
                    } else {
                        insertRisk(goalInsertPstm, corNo, "DEBCOUNT", financeId, null, null, null, null, lastYTime, c_last_fzhj, currentTime, c_cur_fzhj, "0");
                    }
                }
                JSONArray nlistArr = JSONArray.fromObject(nlist);
                JSONObject yelist = new JSONObject();
                JSONObject jlrlist = new JSONObject();
                for (int i3 = 0; i3 < nlistArr.size(); i3++) {
                    JSONObject tempK = nlistArr.getJSONObject(i3);
                    if ("营业收入".equals(tempK.get("n_cn_name"))) {
                        yelist = tempK;
                    } else if ("净利润".equals(tempK.get("n_cn_name"))) {
                        jlrlist = tempK;
                    }
                }
                String n_cur_yysr = blackToStr(yelist.get("n_current_qmye")).replace(",", "");
                String n_last_yysr = blackToStr(yelist.get("n_last_time_qmye")).replace(",", "");
                if (!n_cur_yysr.equals("") && !n_last_yysr.equals("")) {
                    if (Double.parseDouble(n_last_yysr) > Double.parseDouble(n_cur_yysr)) {
                        matchRisk(n_last_yysr, n_cur_yysr, riskList, "BUSCOUNT", goalInsertPstm, corNo, financeId, currentTime, lastYTime, currentTime);
                    } else {
                        insertRisk(goalInsertPstm, corNo, "BUSCOUNT", financeId, null, null, null, null, lastYTime, n_last_yysr, currentTime, n_cur_yysr, "0");
                    }
                }
                String n_cur_jlr = blackToStr(jlrlist.get("n_current_qmye")).replace(",", "");
                String n_last_jlr = blackToStr(jlrlist.get("n_last_time_qmye")).replace(",", "");
                if (!n_cur_jlr.equals("") && !n_last_jlr.equals("")) {
                    if (Double.parseDouble(n_last_jlr) > Double.parseDouble(n_cur_jlr)) {
                        matchRisk(n_last_jlr, n_cur_jlr, riskList, "PROCOUNT", goalInsertPstm, corNo, financeId, currentTime, lastYTime, currentTime);
                    } else {
                        insertRisk(goalInsertPstm, corNo, "PROCOUNT", financeId, null, null, null, null, lastYTime, n_last_jlr, currentTime, n_cur_jlr, "0");
                    }
                }
                JSONArray olistArr = JSONArray.fromObject(olist);
                JSONObject zcfzlist = new JSONObject();
                for (int i4 = 0; i4 < olistArr.size(); i4++) {
                    JSONObject tempL = olistArr.getJSONObject(i4);
                    if ("资产负债率".equals(tempL.get("o_cn_name"))) {
                        zcfzlist = tempL;
                    }
                }
                String o_cur_zcfz = blackToStr(zcfzlist.get("o_current_index")).replace("%", "");
                String o_last_zcfz = blackToStr(zcfzlist.get("o_last_time_index")).replace("%", "");
                if (!o_cur_zcfz.equals("") && !o_last_zcfz.equals("")) {
                    if (Double.parseDouble(o_cur_zcfz) > Double.parseDouble(o_last_zcfz)) {
                        matchRisk(o_last_zcfz, o_cur_zcfz, riskList, "LIACOUNT", goalInsertPstm, corNo, financeId, currentTime, lastYTime, currentTime);
                    } else {
                        insertRisk(goalInsertPstm, corNo, "LIACOUNT", financeId, null, null, null, null, lastYTime, o_last_zcfz, currentTime, o_cur_zcfz, "0");
                    }
                }
            }
            return "0";
        } catch (SQLException e2) {
            connection.printStackTrace();
            return "0";
        } finally {
            LifeDBAccess.releaseConnection((Connection) connection);
        }
    }

    private String blackToStr(Object obj) {
        String tempStr = "";
        if (obj != null) {
            tempStr = obj.toString();
        }
        return tempStr;
    }

    /* JADX WARN: Code restructure failed: missing block: B:21:0x0168, code lost:
    
        if (r0.compareTo(r0) != (-1)) goto L24;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    private void matchRisk(java.lang.String r16, java.lang.String r17, com.ynet.gene.data.IndexedCollection r18, java.lang.String r19, java.sql.PreparedStatement r20, java.lang.String r21, java.lang.String r22, java.lang.String r23, java.lang.String r24, java.lang.String r25) throws com.ynet.gene.core.GENEException {
        /*
            Method dump skipped, instructions count: 500
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: com.ynet.life.sujrb.action.RistWarningCalculatio.matchRisk(java.lang.String, java.lang.String, com.ynet.gene.data.IndexedCollection, java.lang.String, java.sql.PreparedStatement, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String):void");
    }

    /* JADX WARN: Type inference failed for: r0v14, types: [java.sql.SQLException, int] */
    private void insertRisk(PreparedStatement goalInsertPstm, String corNo, String polType, String financeId, String level, String target, String warnValue, String rwTime, String endTime, String endVal, String beginTime, String beginVal, String isRisk) {
        ?? executeUpdate;
        try {
            goalInsertPstm.setString(1, corNo);
            goalInsertPstm.setString(2, polType);
            goalInsertPstm.setString(3, financeId);
            goalInsertPstm.setString(4, level);
            goalInsertPstm.setString(5, target);
            goalInsertPstm.setString(6, warnValue);
            goalInsertPstm.setString(7, rwTime);
            goalInsertPstm.setString(8, endTime);
            goalInsertPstm.setString(9, endVal);
            goalInsertPstm.setString(10, beginTime);
            goalInsertPstm.setString(11, beginVal);
            goalInsertPstm.setString(12, isRisk);
            executeUpdate = goalInsertPstm.executeUpdate();
        } catch (SQLException e) {
            executeUpdate.printStackTrace();
        }
    }

    private void matchRiskNew(String endVal, String beginVal, IndexedCollection riskList, String polType, PreparedStatement goalInsertPstm, String corNo, String financeId, String rwTime) throws GENEException {
        String isRisk;
        String minValueStr;
        String level = "";
        String warnValue = "";
        BigDecimal b = null;
        int j = 0;
        while (true) {
            if (j >= riskList.size()) {
                break;
            }
            KeyedCollection kcoll = riskList.getElementAt(j);
            if (polType.equals(blackToStr(kcoll.getDataValue("pol_type")))) {
                String yelParam = (String) kcoll.getDataValue("apr_value");
                String oraParam = (String) kcoll.getDataValue("villName");
                String redParam = (String) kcoll.getDataValue("floorNum");
                if (yelParam != null && !"".equals(yelParam) && oraParam != null && !"".equals(oraParam) && redParam != null && !"".equals(redParam)) {
                    BigDecimal yel = new BigDecimal(yelParam);
                    BigDecimal ora = new BigDecimal(oraParam);
                    BigDecimal red = new BigDecimal(redParam);
                    if ("CDSCOUNT".equals(polType) && (minValueStr = (String) kcoll.getDataValue("cardMin")) != null && !"".equals(minValueStr) && endVal != null && !"".equals(endVal)) {
                        BigDecimal a = new BigDecimal(endVal);
                        BigDecimal minValue = new BigDecimal(minValueStr);
                        if (a.compareTo(minValue) == -1) {
                            break;
                        }
                    }
                    if (beginVal != null && !"".equals(beginVal)) {
                        BigDecimal bigDecimal = new BigDecimal(beginVal);
                        b = bigDecimal;
                        if (bigDecimal.compareTo(yel) >= 0 && b.compareTo(ora) == -1) {
                            level = "YEL";
                            warnValue = String.valueOf(yel);
                        } else if (b.compareTo(ora) >= 0 && b.compareTo(red) == -1) {
                            level = "ORA";
                            warnValue = String.valueOf(ora);
                        } else if (b.compareTo(red) >= 0) {
                            level = "RED";
                            warnValue = String.valueOf(red);
                        }
                    }
                }
            }
            j++;
        }
        if (!level.equals("")) {
            isRisk = "1";
        } else {
            isRisk = "0";
        }
        insertRisk(goalInsertPstm, corNo, polType, financeId, level, String.valueOf(b), warnValue, rwTime, null, null, null, null, isRisk);
    }
}
